# vault

Vault est un outil permettant d'accéder à des secrets en toute sécurité. Un secret est un élément dont vous souhaitez contrôler étroitement l'accès, comme les clés d'API, les mots de passe, les certificats, etc. Vault fournit une interface unifiée à n'importe quel secret, tout en assurant un contrôle d'accès strict et en enregistrant un journal d'audit détaillé.

# A propos de 

# Prérequis

Vous avez besoin d'une installation docker fonctionnelle et de docker-compose sur votre machine.

# Démarrage

~~~bash
  git clone https://gitea.tips-of-mine.com/Tips-Of-Mine/vault.git
  cd vault
~~~

## Personnalisation

Le fichier .env pour les variable d'environnement
~~~bash
  nano .env
~~~

Modification des labels pour traefik
~~~bash
  nano docker-compose.yml
~~~

## Lancement

~~~bash
  docker compose up -d
~~~

~~~bash
  docker compose logs -f
~~~

On se connecte sur le docker
~~~bash
  docker exec -it vault-app /bin/sh
~~~

Nous ajoutons les paquets manquant
~~~bash
  apk add jq curl
~~~

Nous lancons initialitation
~~~bash
  vault operator init -key-shares=1 -key-threshold=1 -format=json > /vault/file/unseal.json
~~~

~~~bash
  vault operator unseal $(jq -r '.unseal_keys_b64[0]' /vault/file/unseal.json)
~~~

~~~bash
  export VAULT_TOKEN=$(jq -r '.root_token' /vault/file/unseal.json)
~~~

~~~bash
  vault secrets enable -version=2 -path=secret kv
~~~

~~~bash
  vault policy write readwrite /vault/policy/secrets-readwrite.hcl
~~~

~~~bash
  vault policy write readonly /vault/policy/secrets-read.hcl
~~~

~~~bash
  vault policy write terraform  /vault/policy/secrets-terraform.hcl
~~~

~~~bash
vault write auth/approle/role/terraform secret_id_ttl=10m token_num_uses=10 token_ttl=20m token_max_ttl=30m secret_id_num_uses=40 token_policies=terraform
~~~

# Buy me a coffe
<a href='https://ko-fi.com/R5R2KNI3N' target='_blank'><img height='36' style='border:0px;height:36px;' src='https://storage.ko-fi.com/cdn/kofi4.png?v=3' border='0' alt='Buy Me a Coffee at ko-fi.com' /></a>